package com.persagy.dmp.basic.constant;

/**
 * 消息相关常量
 * @author Charlie Yu
 * @date 2021-06-25
 */
public interface DigitalMessageConstant {

    /** 消息-exchange */
    String MESSAGE_EXCHANGE = "exchange-bdtp-digital";
    /** 消息-路由Key */
    String MESSAGE_ROUTING = "routing-bdtp-digital-save";

    /** 新增前 */
    String OPERATE_BEFORE_INSERT = "BeforeInsert";
    /** 修改前 */
    String OPERATE_BEFORE_UPDATE = "BeforeUpdate";
    /** 删除前 */
    String OPERATE_BEFORE_DELETE = "BeforeDelete";
    /** 新增后 */
    String OPERATE_AFTER_INSERT = "AfterInsert";
    /** 修改后 */
    String OPERATE_AFTER_UPDATE = "AfterUpdate";
    /** 删除后 */
    String OPERATE_AFTER_DELETE = "AfterDelete";

    /** 新增关系数据 */
    String OPERATE_REL_AFTER_INSERT = "RelAfterInsert";
    /** 修改关系后 */
    String OPERATE_REL_AFTER_UPDATE = "RelAfterUpdate";
    /** 删除关系后 */
    String OPERATE_REL_AFTER_DELETE = "RelAfterDelete";
}
